
Katello - Feature #35162

Allow Katello to run without Redis

07/05/2022 03:02 PM - Ian Ballou

Status: New   

Priority: Normal   

Assignee:    

Category: Tooling   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, Katello requires Redis to be configured in Pulp. There was recently a change in Pulp that changed how the Redis

connection was reported when not configured. More info: https://github.com/theforeman/foreman-installer/pull/794

That brought up some discussion about if Katello needs Redis as a hard requirement. Let's disable Redis and then run some tests

(upgrade pipeline perhaps?). If all is well, we should be able to remove the Redis requirement from ping.rb.

History

#1 - 07/06/2022 05:38 PM - Lucy Fu

- Triaged changed from No to Yes

#2 - 08/16/2022 03:28 PM - Samir Jha

- Target version changed from Katello 4.6.0 to Katello 4.8.0

#3 - 02/02/2023 10:01 PM - Ian Ballou

- Target version changed from Katello 4.8.0 to Katello 4.9.0

#4 - 05/26/2023 09:00 PM - Lucy Fu

- Target version changed from Katello 4.9.0 to Katello 4.10.0

#5 - 11/01/2023 05:48 PM - Chris Roberts

- Target version changed from Katello 4.10.0 to Katello 4.11.0

#6 - 12/20/2023 09:00 PM - Ian Ballou

- Target version changed from Katello 4.11.0 to Katello 4.12.0

#7 - 03/27/2024 01:29 PM - Quinn James

- Target version changed from Katello 4.12.0 to Katello 4.13.0

Bumping to 4.13
